Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.ata
Class ATAStatus

    java.lang.Object
      dioscuri.module.ata.ATAStatus

    public class ATAStatus

extends java.lang.Object

Class to hold status flags of a ATA channel

Constructor Summary
`ATAStatus()` Constructor.

Method Summary
`void` | `decrementIndexPulseCount()`
`int` | `getBusy()`
`int` | `getCorrectedData()`
`int` | `getDriveReady()`
`int` | `getDrq()`
`int` | `getErr()`
`int` | `getIndexPulse()`
`int` | `getIndexPulseCount()`
`int` | `getSeekComplete()`
`int` | `getWriteFault()`
`void` | `incrementIndexPulseCount()`
`void` | `setBusy(int busy)`
`void` | `setCorrectedData(int correctedData)`
`void` | `setDriveReady(int driveReady)`
`void` | `setDrq(int drq)`
`void` | `setErr(int err)`
`void` | `setIndexPulse(int indexPulse)`
`void` | `setIndexPulseCount(int indexPulseCount)`
`void` | `setSeekComplete(int seekComplete)`
`void` | `setWriteFault(int writeFault)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATAStatus

    public ATAStatus()

  Constructor.

Method Detail

### getBusy

    public int getBusy()

  Returns:
    -

### setBusy

    public void setBusy(int busy)

  Parameters:
    `busy` -

### getDriveReady

    public int getDriveReady()

  Returns:
    -

### setDriveReady

    public void setDriveReady(int driveReady)

  Parameters:
    `driveReady` -

### getWriteFault

    public int getWriteFault()

  Returns:
    -

### setWriteFault

    public void setWriteFault(int writeFault)

  Parameters:
    `writeFault` -

### getSeekComplete

    public int getSeekComplete()

  Returns:
    -

### setSeekComplete

    public void setSeekComplete(int seekComplete)

  Parameters:
    `seekComplete` -

### getDrq

    public int getDrq()

  Returns:
    -

### setDrq

    public void setDrq(int drq)

  Parameters:
    `drq` -

### getCorrectedData

    public int getCorrectedData()

  Returns:
    -

### setCorrectedData

    public void setCorrectedData(int correctedData)

  Parameters:
    `correctedData` -

### getIndexPulse

    public int getIndexPulse()

  Returns:
    -

### setIndexPulse

    public void setIndexPulse(int indexPulse)

  Parameters:
    `indexPulse` -

### getIndexPulseCount

    public int getIndexPulseCount()

  Returns:
    -

### decrementIndexPulseCount

    public void decrementIndexPulseCount()

### incrementIndexPulseCount

    public void incrementIndexPulseCount()

### setIndexPulseCount

    public void setIndexPulseCount(int indexPulseCount)

  Parameters:
    `indexPulseCount` -

### getErr

    public int getErr()

  Returns:
    -

### setErr

    public void setErr(int err)

  Parameters:
    `err` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD